Ceph module not installed

Bug #1063784 reported by Samuel Hassine on 2012-10-08
22
This bug affects 5 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Medium
Unassigned
Precise
Medium
Leann Ogasawara
Quantal
Medium
Leann Ogasawara
Raring
Medium
Unassigned

Bug Description

== SRU Justification ==
The ceph module is currently unavailable for virtual instances due to it not being included in our virtual kernel flavors.

== Fix ==
For Raring and Quantal, add ceph to the generic.inclusion-list.
For Precise, add ceph to the virtual.inclusion-list.

== Impact ==
There should be no risk of regression as ceph was previously unavailable.

----------

Hi,

Ceph module is not supported by Linux Kernel (virtual) on the AMI : http://uec-images.ubuntu.com/precise/current/

root@ubuntu:/usr/src# modprobe ceph
FATAL: Module ceph not found.

Best regards.
Samuel
---
AlsaDevices:
 total 0
 crw-rw---T 1 root audio 116, 1 Oct 8 13:26 seq
 crw-rw---T 1 root audio 116, 33 Oct 8 13:26 timer
AplayDevices: Error: [Errno 2] No such file or directory
ApportVersion: 2.0.1-0ubuntu13
Architecture: amd64
ArecordDevices: Error: [Errno 2] No such file or directory
AudioDevicesInUse: Error: command ['fuser', '-v', '/dev/snd/seq', '/dev/snd/timer'] failed with exit code 1:
CRDA: Error: command ['iw', 'reg', 'get'] failed with exit code 1: nl80211 not found.
CurrentDmesg: [ 126.654402] init: plymouth-upstart-bridge main process (797) killed by TERM signal
DistroRelease: Ubuntu 12.04
IwConfig:
 lo no wireless extensions.

 eth0 no wireless extensions.
Lsusb:
 Bus 001 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
 Bus 001 Device 002: ID 0627:0001 Adomax Technology Co., Ltd
MachineType: Bochs Bochs
Package: linux (not installed)
PciMultimedia:

ProcEnviron:
 TERM=xterm
 SHELL=/bin/bash
ProcFB:

ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.2.0-31-virtual root=LABEL=cloudimg-rootfs ro console=ttyS0
ProcModules:
 acpiphp 24231 0 - Live 0xffffffffa001a000
 floppy 70365 0 - Live 0xffffffffa0000000
 psmouse 97362 0 - Live 0xffffffffa0035000
 serio_raw 13211 0 - Live 0xffffffffa0013000
 virtio_balloon 13108 0 - Live 0xffffffffa002d000
ProcVersionSignature: Ubuntu 3.2.0-31.50-virtual 3.2.28
RelatedPackageVersions:
 linux-restricted-modules-3.2.0-31-virtual N/A
 linux-backports-modules-3.2.0-31-virtual N/A
 linux-firmware 1.79.1
RfKill: Error: [Errno 2] No such file or directory
Tags: precise
Uname: Linux 3.2.0-31-virtual x86_64
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups:

dmi.bios.date: 01/01/2007
dmi.bios.vendor: Bochs
dmi.bios.version: Bochs
dmi.chassis.type: 1
dmi.chassis.vendor: Bochs
dmi.modalias: dmi:bvnBochs:bvrBochs:bd01/01/2007:svnBochs:pnBochs:pvr:cvnBochs:ct1:cvr:
dmi.product.name: Bochs
dmi.sys.vendor: Bochs

Samuel Hassine (9-samuel-6) wrote :

For information:

root@ubuntu:/usr/src# dpkg -l |grep linux-image
ii linux-image-3.2.0-31-virtual 3.2.0-31.50 Linux kernel image for version 3.2.0 on 64 bit x86 Virtual Guests
ii linux-image-virtual 3.2.0.31.34 Linux kernel image for virtual machines

This bug is missing log files that will aid in diagnosing the problem. From a terminal window please run:

apport-collect 1063784

and then change the status of the bug to 'Confirmed'.

If, due to the nature of the issue you have encountered, you are unable to run this command, please add a comment stating that fact and change the bug status to 'Confirmed'.

This change has been made by an automated script, maintained by the Ubuntu Kernel Team.

Changed in linux (Ubuntu):
status: New → Incomplete

apport information

tags: added: apport-collected precise
description: updated

apport information

apport information

apport information

apport information

apport information

apport information

apport information

Changed in linux (Ubuntu):
status: Incomplete → Confirmed
Changed in linux (Ubuntu):
importance: Undecided → Medium
Chris J Arges (arges) wrote :

In 3.2.0-32-virtual, I can do 'sudo modprobe cifs' and it correctly inserts the modules. I also checked the kernel config and CONFIG_CIFS=m is present in the virtual config. Thus you need to update to the latest kernel and retry.

Changed in linux (Ubuntu Precise):
status: New → Incomplete
importance: Undecided → Medium
assignee: nobody → Chris J Arges (christopherarges)
Chris J Arges (arges) wrote :

I've also verified this as working in 3.7.0-4-generic #12 raring.

Changed in linux (Ubuntu):
status: Confirmed → Fix Released

Hey Chris,

I think you may have accidentally confused cifs with ceph. I'm not seeing ceph available for the virtual flavors. I've gone ahead a pushed a patch to master-next for Raring to include ceph. I'll submit for SRU for quantal and precise. I'll post some test kernel here as well shortly. Thanks.

Changed in linux (Ubuntu Raring):
status: Fix Released → Fix Committed
Chris J Arges (arges) wrote :

@leann... you are correct. This is what happens when I multi-task too much.

Changed in linux (Ubuntu Precise):
status: Incomplete → Confirmed
assignee: Chris J Arges (christopherarges) → nobody
Changed in linux (Ubuntu Quantal):
assignee: nobody → Leann Ogasawara (leannogasawara)
importance: Undecided → Medium
status: New → In Progress
Changed in linux (Ubuntu Precise):
assignee: nobody → Leann Ogasawara (leannogasawara)
status: Confirmed → In Progress
description: updated

If anyone is interested, I've posted some test kernels for Precise, Quantal, and Raring at the following location. Thanks.

http://people.canonical.com/~ogasawara/lp1063784/

Changed in linux (Ubuntu Precise):
status: In Progress → Fix Committed
Changed in linux (Ubuntu Quantal):
status: In Progress → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 3.7.0-7.15

---------------
linux (3.7.0-7.15) raring; urgency=low

  [ Chris J Arges ]

  * SAUCE: add eeprom_bad_csum_allow module parameter
    - LP: #1070182

  [ Leann Ogasawara ]

  * Add ceph to linux-image for virtual instances
    - LP: #1063784

  [ Serge Hallyn ]

  * SAUCE: net: dev_change_net_namespace: send a KOBJ_REMOVED/KOBJ_ADD

  [ Tim Gardner ]

  * [Config] CONFIG_SLUB_DEBUG=y
    - LP: #1090308

  [ Upstream Kernel Changes ]

  * Revert "[SCSI] sd: Implement support for WRITE SAME"
    - LP: #1089818
 -- Leann Ogasawara <email address hidden> Wed, 12 Dec 2012 06:50:20 -0800

Changed in linux (Ubuntu Raring):
status: Fix Committed → Fix Released
Luis Henriques (henrix) wrote :

$ uname -a
Linux hercules 3.5.0-22-generic #33-Ubuntu SMP Wed Jan 2 21:47:30 UTC 2013 x86_64 x86_64 x86_64 GNU/Linux
$ modinfo ceph
filename: /lib/modules/3.5.0-22-generic/kernel/fs/ceph/ceph.ko
license: GPL
description: Ceph filesystem for Linux
author: Patience Warnick <email address hidden>
author: Yehuda Sadeh <email address hidden>
author: Sage Weil <email address hidden>
srcversion: BA4270E0D8180134131A2E6
depends: libceph
intree: Y
vermagic: 3.5.0-22-generic SMP mod_unload modversions

Thus, tagging as verified for quantal.

tags: added: verification-done-quantal
Luis Henriques (henrix) wrote :

$ dpkg --contents linux-image-3.2.0-36-virtual_3.2.0-36.56_amd64.deb|grep ceph
drwxr-xr-x root/root 0 2013-01-02 22:52 ./lib/modules/3.2.0-36-virtual/kernel/fs/ceph/
-rw-r--r-- root/root 256224 2013-01-02 22:52 ./lib/modules/3.2.0-36-virtual/kernel/fs/ceph/ceph.ko

Thus, tagging as verified for precise.

tags: added: verification-done-precise

The verification of this Stable Release Update has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regresssions.

Launchpad Janitor (janitor) wrote :
Download full text (10.1 KiB)

This bug was fixed in the package linux - 3.2.0-36.57

---------------
linux (3.2.0-36.57) precise-proposed; urgency=low

  [Luis Henriques]

  * Release Tracking Bug
    - LP: #1097389

  [ Chris J Arges ]

  * Revert "SAUCE: fsnotify: dont put marks on temporary list when clearing
    marks by group"
    - LP: #1096137
  * Revert "SAUCE: fsnotify: introduce locked versions of
    fsnotify_add_mark() and fsnotify_remove_mark()"
    - LP: #1096137
  * Revert "SAUCE: fsnotify: pass group to fsnotify_destroy_mark()"
    - LP: #1096137
  * Revert "SAUCE: fsnotify: use a mutex instead of a spinlock to protect a
    groups mark list"
    - LP: #1096137
  * Revert "SAUCE: fanotify: add an extra flag to mark_remove_from_mask
    that indicates wheather a mark should be destroyed"
    - LP: #1096137
  * Revert "SAUCE: fsnotify: take groups mark_lock before mark lock"
    - LP: #1096137
  * Revert "SAUCE: fsnotify: use reference counting for groups"
    - LP: #1096137
  * Revert "SAUCE: fsnotify: introduce fsnotify_get_group()"
    - LP: #1096137

  [ Upstream Kernel Changes ]

  * fsnotify: introduce fsnotify_get_group()
    - LP: #1096137
  * fsnotify: use reference counting for groups
    - LP: #1096137
  * fsnotify: take groups mark_lock before mark lock
    - LP: #1096137
  * fanotify: add an extra flag to mark_remove_from_mask that indicates
    wheather a mark should be destroyed
    - LP: #1096137
  * fsnotify: use a mutex instead of a spinlock to protect a groups mark
    list
    - LP: #1096137
  * fsnotify: pass group to fsnotify_destroy_mark()
    - LP: #1096137
  * fsnotify: introduce locked versions of fsnotify_add_mark() and
    fsnotify_remove_mark()
    - LP: #1096137
  * fsnotify: dont put marks on temporary list when clearing marks by group
    - LP: #1096137
  * fsnotify: change locking order
    - LP: #1096137

linux (3.2.0-36.56) precise-proposed; urgency=low

  [Brad Figg]

  * Release Tracking Bug
    - LP: #1095351

  [ Chris J Arges ]

  * SAUCE: add eeprom_bad_csum_allow module parameter
    - LP: #1070182

  [ Colin Ian King ]

  * SAUCE: samsung-laptop: disable in UEFI mode
    - LP: #1040557

  [ Herton Ronaldo Krzesinski ]

  * SAUCE: usb: cdc-wdm: fix regression on buffer deallocation
    - LP: #1074157

  [ Kees Cook ]

  * SAUCE: exec: do not leave bprm->interp on stack
    - LP: #1068888
    - CVE-2012-4530

  [ Leann Ogasawara ]

  * Add ceph to virtual kernel flavor
    - LP: #1063784

  [ Lino Sanfilippo ]

  * SAUCE: fsnotify: introduce fsnotify_get_group()
    - LP: #922906
  * SAUCE: fsnotify: use reference counting for groups
    - LP: #922906
  * SAUCE: fsnotify: take groups mark_lock before mark lock
    - LP: #922906
  * SAUCE: fanotify: add an extra flag to mark_remove_from_mask that
    indicates wheather a mark should be destroyed
    - LP: #922906
  * SAUCE: fsnotify: use a mutex instead of a spinlock to protect a groups
    mark list
    - LP: #922906
  * SAUCE: fsnotify: pass group to fsnotify_destroy_mark()
    - LP: #922906
  * SAUCE: fsnotify: introduce locked versions of fsnotify_add_mark() and
    fsnotify_remove_mark()
    - LP: #922906
  * SAUCE: fsnotify: dont put marks on temporary list when ...

Changed in linux (Ubuntu Precise):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :
Download full text (21.3 KiB)

This bug was fixed in the package linux - 3.5.0-22.34

---------------
linux (3.5.0-22.34) quantal-proposed; urgency=low

  [Luis Henriques]

  * Release Tracking Bug
    - LP: #1097343

  [ Chris J Arges ]

  * Revert "SAUCE: fsnotify: dont put marks on temporary list when clearing
    marks by group"
    - LP: #1096137
  * Revert "SAUCE: fsnotify: introduce locked versions of
    fsnotify_add_mark() and fsnotify_remove_mark()"
    - LP: #1096137
  * Revert "SAUCE: fsnotify: pass group to fsnotify_destroy_mark()"
    - LP: #1096137
  * Revert "SAUCE: fsnotify: use a mutex instead of a spinlock to protect a
    groups mark list"
    - LP: #1096137
  * Revert "SAUCE: fanotify: add an extra flag to mark_remove_from_mask
    that indicates wheather a mark should be destroyed"
    - LP: #1096137
  * Revert "SAUCE: fsnotify: take groups mark_lock before mark lock"
    - LP: #1096137
  * Revert "SAUCE: fsnotify: use reference counting for groups"
    - LP: #1096137
  * Revert "SAUCE: fsnotify: introduce fsnotify_get_group()"
    - LP: #1096137

  [ Upstream Kernel Changes ]

  * fsnotify: introduce fsnotify_get_group()
    - LP: #1096137
  * fsnotify: use reference counting for groups
    - LP: #1096137
  * fsnotify: take groups mark_lock before mark lock
    - LP: #1096137
  * fanotify: add an extra flag to mark_remove_from_mask that indicates
    wheather a mark should be destroyed
    - LP: #1096137
  * fsnotify: use a mutex instead of a spinlock to protect a groups mark
    list
    - LP: #1096137
  * fsnotify: pass group to fsnotify_destroy_mark()
    - LP: #1096137
  * fsnotify: introduce locked versions of fsnotify_add_mark() and
    fsnotify_remove_mark()
    - LP: #1096137
  * fsnotify: dont put marks on temporary list when clearing marks by group
    - LP: #1096137
  * fsnotify: change locking order
    - LP: #1096137

linux (3.5.0-22.33) quantal-proposed; urgency=low

  [Brad Figg]

  * Release Tracking Bug
    - LP: #1095349

  [ Chris J Arges ]

  * SAUCE: add eeprom_bad_csum_allow module parameter
    - LP: #1070182

  [ Colin Ian King ]

  * SAUCE: samsung-laptop: disable in UEFI mode
    - LP: #1040557

  [ Kees Cook ]

  * SAUCE: exec: do not leave bprm->interp on stack
    - LP: #1068888
    - CVE-2012-4530

  [ Leann Ogasawara ]

  * Add ceph to linux-image for virtual instances
    - LP: #1063784

  [ Lino Sanfilippo ]

  * SAUCE: fsnotify: introduce fsnotify_get_group()
    - LP: #922906
  * SAUCE: fsnotify: use reference counting for groups
    - LP: #922906
  * SAUCE: fsnotify: take groups mark_lock before mark lock
    - LP: #922906
  * SAUCE: fanotify: add an extra flag to mark_remove_from_mask that
    indicates wheather a mark should be destroyed
    - LP: #922906
  * SAUCE: fsnotify: use a mutex instead of a spinlock to protect a groups
    mark list
    - LP: #922906
  * SAUCE: fsnotify: pass group to fsnotify_destroy_mark()
    - LP: #922906
  * SAUCE: fsnotify: introduce locked versions of fsnotify_add_mark() and
    fsnotify_remove_mark()
    - LP: #922906
  * SAUCE: fsnotify: dont put marks on temporary list when clearing marks
    by group
    - LP: #922906

  [ Tomas Hozza ]

  * SAUCE: tools: hv: Netlink source a...

Changed in linux (Ubuntu Quantal):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers